Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jce.crypto
Class CipherSpi

    java.lang.Object
      com.mindbright.jce.crypto.CipherSpi

Direct Known Subclasses:
  ArcFour, ArcFourSkip, BlockCipher

public abstract class CipherSpi
extends java.lang.Object

Constructor Summary
`CipherSpi()`

Method Summary
`protected abstract int` | `engineDoFinal(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected abstract int` | `engineGetBlockSize()`
`protected abstract byte[]` | `engineGetIV()`
`protected abstract int` | `engineGetOutputSize(int inputLen)`
`protected abstract void` | `engineInit(int opmode, Key key, AlgorithmParameterSpec params, SecureRandom random)`
`protected abstract void` | `engineInit(int opmode, Key key, SecureRandom random)`
`protected abstract void` | `engineSetMode(java.lang.String mode)`
`protected abstract void` | `engineSetPadding(java.lang.String padding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CipherSpi

    public CipherSpi()

Method Detail

### engineDoFinal

    protected abstract int engineDoFinal(byte[] input,
                                         int inputOffset,
                                         int inputLen,
                                         byte[] output,
                                         int outputOffset)

### engineGetBlockSize

    protected abstract int engineGetBlockSize()

### engineGetIV

    protected abstract byte[] engineGetIV()

### engineGetOutputSize

    protected abstract int engineGetOutputSize(int inputLen)

### engineInit

    protected abstract void engineInit(int opmode,
                                       Key key,
                                       AlgorithmParameterSpec params,
                                       SecureRandom random)
                                throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineInit

    protected abstract void engineInit(int opmode,
                                       Key key,
                                       SecureRandom random)
                                throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineSetMode

    protected abstract void engineSetMode(java.lang.String mode)

### engineSetPadding

    protected abstract void engineSetPadding(java.lang.String padding)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD